##############################################
##Specification of dir, input and output dir##
##############################################
##Set working directory, which contains the directory "Bayesian_PBM_Analysis"
dir <- "/Users/boj/Documents/PBM/"
dir <- paste(dir,"Bayesian_PBM_Analysis/",sep="")

#Set directory that contains input pwm file
#Run "./pbm.motif -i kmers.seq" first to generate the pwm file
dir <- paste(dir,"motif_example/",sep="")

#Set input pwm file
file <- "kmers.seq.pwm"

motif.logo<-function(dir,file)
{
    setwd(dir)
    library(seqLogo)
    library(Biostrings)
    
    pdf(file=paste(dir,"motif_logo.pdf",sep=""))
    #as.matrix(paste(kmers[id1,1],kmers[id1,2]))
    m <- read.table(file,header=T)
    m <- t(exp(m))
    summ <- apply(m,2,sum)
    for(i in 1:dim(m)[2])
    {
        m[,i] <- m[,i]/summ[i]
    }
    apply(m,2,sum)
    pwm <- makePWM(m)
    seqLogo(pwm)
    dev.off()
}

motif.logo(dir,file)